Subject: Re: bug#15138: revno: 114089 change causes cjk characters not shown correctly

From: Jan Djärv <[email-masked]>
Date: Thu, 5 Sep 2013 19:25:09 +0200

Hello.

5 sep 2013 kl. 19:04 skrev Stefan Monnier <[email-masked]>:

>> I don't know, I never had that situation.  I guess if the goal is to show
>> same glyphs, ascii_face->font is a better choice.  But if it is to
>> have a consistent look with the surrounding text, it it not.
>> Consider a buffer where only  あいう• is entered.  I would assume the
>> current font would be a better choice in this case.
> 
> Seeking a "consistent look" is good, but I think doing it this way is
> a hack (consider the case where you have •あいう instead).
> 

One can always construct cases that favors one or the other approach.
Let possible bug reports sort this out, one can hope they are based on real usage and not thought out examples.

	Jan D.